org.optaplanner.core.impl.localsearch.decider.acceptor.stepcountinghillclimbing

## Class StepCountingHillClimbingAcceptor

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.stepcountinghillclimbing.StepCountingHillClimbingAcceptor

- All Implemented Interfaces:
    EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

      public class StepCountingHillClimbingAcceptor
      extends AbstractAcceptor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `count`
    `protected int` | `stepCountingHillClimbingSize`
    `protected StepCountingHillClimbingType` | `stepCountingHillClimbingType`
    `protected Score` | `thresholdScore`

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepCountingHillClimbingAcceptor(int stepCountingHillClimbingSize, StepCountingHillClimbingType stepCountingHillClimbingType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAccepted(LocalSearchMoveScope moveScope)`
    `void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
    `void` | `phaseStarted(LocalSearchPhaseScope phaseScope)`
    `void` | `stepEnded(LocalSearchStepScope stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### stepCountingHillClimbingSize

          protected int stepCountingHillClimbingSize

    - #### stepCountingHillClimbingType

          protected StepCountingHillClimbingType stepCountingHillClimbingType

    - #### thresholdScore

          protected Score thresholdScore

    - #### count

          protected int count

  - ### Constructor Detail

    - #### StepCountingHillClimbingAcceptor

          public StepCountingHillClimbingAcceptor(int stepCountingHillClimbingSize,
                                                  StepCountingHillClimbingType stepCountingHillClimbingType)

  - ### Method Detail

    - #### phaseStarted

          public void phaseStarted(LocalSearchPhaseScope phaseScope)

      Specified by:
        `phaseStarted` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseStarted` in class `LocalSearchPhaseLifecycleListenerAdapter`

    - #### isAccepted

          public boolean isAccepted(LocalSearchMoveScope moveScope)

      Parameters:
        `moveScope` - not null
      Returns:
        true if accepted

    - #### stepEnded

          public void stepEnded(LocalSearchStepScope stepScope)

      Specified by:
        `stepEnded` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `stepEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

    - #### phaseEnded

          public void phaseEnded(LocalSearchPhaseScope phaseScope)

      Specified by:
        `phaseEnded` in interface `LocalSearchPhaseLifecycleListener`
      Overrides:
        `phaseEnded` in class `LocalSearchPhaseLifecycleListenerAdapter`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.